<?php
    use PFBC\Form;
    use PFBC\Element;
    use PFBC\View;
    use PFBC\Validation;
    use documongo\MongoObject\Document;
    use documongo\MongoObject\DocumentType;
	require_once("lib/funits.php");
    $unit = new Unit();
    require_once('lib/frole.php');
	$role = new Role();
	$role->isPageEnable($user->uuid);
?><!doctype html>
<html lang="ru">
<head>
<meta charset="utf-8" />
<title>Администрирование подразделений</title>
<link rel="stylesheet" href="/css/jquery-ui.css" />

<script src="/js/jquery-1.9.1.js"></script>
<script src="/js/jquery-ui.js"></script>
<script src="/js/jquery.form.js"></script>
<script src="/js/bootstrap.min.js"></script>

<link type="text/css" rel="stylesheet" href="/css/bootstrap-combined.min.css">
<link rel="stylesheet" href="/css/base.css?rand=<?=rand();?>" />
<link rel="stylesheet" href="/css/member.css?rand=<?=rand();?>" />
<link rel="stylesheet" href="/css/member.form.css?rand=<?=rand();?>" />
<link rel="stylesheet" href="/css/admin.css" />
<link rel="stylesheet" href="/css/navigation__horizontal.css" />
<link rel="stylesheet" href="/css/units.css" />
<script src="/js/auth.js"></script>
  <script>
    var language = "<?=$language?>";
    var pageType = "<?=$pageType?>";

  </script>

</head>

<body>


<header class="header gradient">
  <div class="header__logo">
    <img src="/images/herzen.png" />
  </div>
  <div class="header__headings">
    <h1 class="header__headings__heading">
      "Администрирование подразделений"</h1>
  </div>

  <div class="userbox userbox_parent_header">
    <div class="userbox__controls">
      <span class="userbox__controls__profile">профиль</span> / <span class="userbox__controls__logout">выход</span>
    </div>
    <div class="userbox__username">
        <span class="userbox__username__displayname" data-uuid="<?=$this->user->uuid?>"><?=$this->user->givenname?> <?=$this->user->lastname?></span>
    </div>
  </div>

  <div class="header__helper"></div>
</header>


<!-- CURRENT PAGE -->
<div class="all">
	<?php
echo $role->userMenu($user->uuid);
if(isset($_POST['change_urls'])){
	unset($_POST['change_urls']);
$unit->changeURLs($_POST);
}
$allRoles = $role->getAllRoles($user->uuid);
$allUnits = $unit->adminList();
echo $allUnits;
	?>

</div>
</body>
</html>
